{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.rapier.attack": {
			"states": {
				"default": {
					"transitions": [
						{
							"unsheathe": "variable.rapier && !v.dagger_left && !v.shield_off"
						},
						{
							"rapier_dagger": "v.rapier && v.dagger_left"
						},
						{
							"rapier_shield": "v.rapier && v.shield_off"
						},
						{
							"undefault": "!query.is_item_name_any('slot.hotbar',0,'pixel:iron_rapier') && !query.is_item_name_any('slot.hotbar',0,'pixel:golden_rapier') && !query.is_item_name_any('slot.hotbar',0,'pixel:diamond_rapier') && !query.is_item_name_any('slot.hotbar',0,'pixel:netherite_rapier')"
						}
					]
				},
				"undefault": {
					"transitions": [
						{
							"rapier": "variable.rapier && !v.dagger_left && !v.shield_off"
						},
						{
							"rapier_dagger": "v.rapier && v.dagger_left"
						},
						{
							"rapier_shield": "v.rapier && v.shield_off"
						},
						{
							"default": "query.is_item_name_any('slot.hotbar',0,'pixel:iron_rapier') && query.is_item_name_any('slot.hotbar',0,'pixel:golden_rapier') && query.is_item_name_any('slot.hotbar',0,'pixel:diamond_rapier') && query.is_item_name_any('slot.hotbar',0,'pixel:netherite_rapier')"
						}
					]
				},
				"unsheathe": {
					"animations": [
					  "rapier_unsheathe"
					],
					"transitions": [
						{
							"rapier": "query.all_animations_finished"
						},
						{
							"default": "!variable.rapier"
						}
					]
				},
				"rapier": {
				    "animations": [
				      "rapier_base_pose"
				    ],
					"transitions": [
						{
							"default": "!variable.rapier"
						},
					    {
					  	  "sprint":"query.is_moving && query.is_sprinting"
					    },
					    {
					  	  "move":"query.is_moving && !query.is_sprinting"
					    },
					    {
							"ride": "query.is_riding"
						},
						{
							"sneak": "query.is_sneaking"
						}
					]
				},
				"ride": {
					"animations": [
					  "rapier_riding_pose",
					  "shield_no_back"
					],
					"transitions": [
						{
							"default": "!variable.rapier"
						},
						{
							"rapier": "!query.is_riding"
						}
					]
				},
				"sneak": {
					"animations": [
					  "rapier_sneak"
					],
					"transitions": [
						{
							"default": "!variable.rapier"
						},
						{
							"rapier": "!query.is_sneaking"
						},
						{
							"sneak_move": "query.is_moving && query.is_sneaking"
						}
					]
				},
				"sneak_move": {
					"animations": [
					  "rapier_sneak_move"
					],
					"transitions": [
						{
							"default": "!variable.rapier"
						},
						{
							"rapier": "!query.is_sneaking"
						},
						{
							"sneak": "!query.is_moving && query.is_sneaking"
						}
					]
				},
				"move": {
					"animations": [
					  "rapier_move"
					],
					"transitions": [
						{
							"default": "!variable.rapier"
						},
						{
							"sneak": "query.is_sneaking"
						},
						{
							"rapier": "!query.is_moving"
						},
						{
							"sprint": "query.is_sprinting"
						}
					]
				},
				"sprint": {
					"animations": [
					  "rapier_sprint"
					],
					"transitions": [
						{
							"default": "!variable.rapier"
						},
						{
							"sneak": "query.is_sneaking"
						},
						{
							"rapier": "!query.is_sprinting"
						}
					]
				},
				"rapier_shield": {
				    "animations": [
				      "rapier_shield_base_pose",
				     "shield_no_back"
				    ],
					"transitions": [
						{
							"default": "!variable.rapier"
						},
					    {
					  	  "sprint_shield":"query.is_moving && query.is_sprinting"
					    },
					    {
					  	  "move_shield":"query.is_moving && !query.is_sprinting"
					    },
						{
							"sneak_shield": "query.is_sneaking"
						}
					]
				},
				"sneak_shield": {
					"animations": [
					  "rapier_shield_sneak",
				     "shield_no_back"
					],
					"transitions": [
						{
							"default": "!variable.rapier"
						},
						{
							"rapier_shield": "!query.is_sneaking"
						},
						{
							"sneak_move_shield": "query.is_moving && query.is_sneaking"
						}
					]
				},
				"sneak_move_shield": {
					"animations": [
					  "rapier_shield_sneak_move",
				     "shield_no_back"
					],
					"transitions": [
						{
							"default": "!variable.rapier"
						},
						{
							"rapier_shield": "!query.is_sneaking"
						},
						{
							"sneak_shield": "!query.is_moving && query.is_sneaking"
						}
					]
				},
				"move_shield": {
					"animations": [
					  "rapier_shield_move",
				     "shield_no_back"
					],
					"transitions": [
						{
							"default": "!variable.rapier"
						},
						{
							"sneak_shield": "query.is_sneaking"
						},
						{
							"rapier_shield": "!query.is_moving"
						},
						{
							"sprint_shield": "query.is_sprinting"
						}
					]
				},
				"sprint_shield": {
					"animations": [
					  "rapier_shield_sprint",
				     "shield_no_back"
					],
					"transitions": [
						{
							"default": "!variable.rapier"
						},
						{
							"sneak_shield": "query.is_sneaking"
						},
						{
							"rapier_shield": "!query.is_sprinting"
						}
					]
				},
				"rapier_dagger": {
				    "animations": [
				      "rapier_dagger_base_pose"
				    ],
					"transitions": [
						{
							"default": "!variable.rapier"
						},
					    {
					  	  "sprint_dagger":"query.is_moving && query.is_sprinting"
					    },
					    {
					  	  "move_dagger":"query.is_moving && !query.is_sprinting"
					    },
						{
							"sneak_dagger": "query.is_sneaking"
						}
					]
				},
				"sneak_dagger": {
					"animations": [
					  "rapier_dagger_sneak"
					],
					"transitions": [
						{
							"default": "!variable.rapier"
						},
						{
							"rapier_dagger": "!query.is_sneaking"
						},
						{
							"sneak_move_dagger": "query.is_moving && query.is_sneaking"
						}
					]
				},
				"sneak_move_dagger": {
					"animations": [
					  "rapier_dagger_sneak_move"
					],
					"transitions": [
						{
							"default": "!variable.rapier"
						},
						{
							"rapier_dagger": "!query.is_sneaking"
						},
						{
							"sneak_dagger": "!query.is_moving && query.is_sneaking"
						}
					]
				},
				"move_dagger": {
					"animations": [
					  "rapier_dagger_move"
					],
					"transitions": [
						{
							"default": "!variable.rapier"
						},
						{
							"sneak_dagger": "query.is_sneaking"
						},
						{
							"rapier_dagger": "!query.is_moving"
						},
						{
							"sprint_dagger": "query.is_sprinting"
						}
					]
				},
				"sprint_dagger": {
					"animations": [
					  "rapier_dagger_sprint"
					],
					"transitions": [
						{
							"default": "!variable.rapier"
						},
						{
							"sneak_dagger": "query.is_sneaking"
						},
						{
							"rapier_dagger": "!query.is_sprinting"
						}
					]
				}
			}
		}
	}
}